--- Makefile.orig	2012-01-13 15:23:23.000000000 +0100
+++ Makefile	2012-01-13 22:07:20.000000000 +0100
@@ -425,6 +425,9 @@
 jpeg_opt: jpeg_loader.cmxa
 jpeg: jpeg_byte jpeg_opt
 
+LDPATH=/opt/local/lib
+CCOPTS=-ccopt "-I/opt/local/include" -ccopt "-L$(LDPATH)"
+
 jpeg_loader.cmi jpeg_loader.cmo: jpeg_loader.ml  GL.cmi
 	$(OCAMLC) -c $<
 
@@ -432,16 +435,16 @@
 	$(OCAMLOPT) -c $<
 
 loader-libjpeg.o: loader-libjpeg.c  loader-libjpeg-mem.c  loader-texure.h
-	$(OCAMLC)  -c  $<
+	$(OCAMLC) $(CCOPTS) -c  $<
 
 dlljpeg_loader.so libjpeg_loader.a: loader-libjpeg.o
-	$(OCAMLMKLIB) -o jpeg_loader $< $(GL_LIBS) -L"$(OCAML_PATH)" -lbigarray -ljpeg
+	$(OCAMLMKLIB) -L$(LDPATH) -o jpeg_loader $< $(GL_LIBS) -L"$(OCAML_PATH)" -lbigarray -ljpeg
 
 jpeg_loader.cmxa jpeg_loader.a:  jpeg_loader.cmx  dlljpeg_loader.so
-	$(OCAMLMKLIB) -o jpeg_loader $< $(GL_LIBS) -L"$(OCAML_PATH)" -lbigarray -ljpeg
+	$(OCAMLMKLIB) -L$(LDPATH) -o jpeg_loader $< $(GL_LIBS) -L"$(OCAML_PATH)" -lbigarray -ljpeg
 
 jpeg_loader.cma:  jpeg_loader.cmo  dlljpeg_loader.so
-	$(OCAMLMKLIB) -o jpeg_loader $< $(GL_LIBS) -L"$(OCAML_PATH)" -lbigarray -ljpeg
+	$(OCAMLMKLIB) -L$(LDPATH) -o jpeg_loader $< $(GL_LIBS) -L"$(OCAML_PATH)" -lbigarray -ljpeg
 
 # }}}
 
